package com.njzscloud.supervisory.device.contant;

import com.njzscloud.common.core.ienum.DictStr;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * 字典代码：device_category
 * 字典名称：设备分类
 */
@Getter
@RequiredArgsConstructor
public enum DeviceCategory implements DictStr {
    barrier("barrier", "道闸"),
    loadometer("loadometer", "地磅"),
    vidicon("vidicon", "摄像头"),
    voicebox("voicebox", "音柱"),
    ;
    private final String val;
    private final String txt;
}
